import { createApp } from 'vue'
import { createRouter, createWebHistory } from "vue-router";
import './index.css'
import './styles.css'
import App from './App.vue'
import Home from "./components/Home.vue";
import About from "./components/About.vue";
import One from "./components/Tours/One.vue";
import Two from "./components/Tours/Two.vue";
import Three from "./components/Tours/Three.vue";
import Four from "./components/Tours/Four.vue";
import Five from "./components/Tours/Five.vue";
import Six from "./components/Tours/Six.vue";
import Seven from "./components/Tours/Seven.vue";
import Eight from "./components/Tours/Eight.vue";
import Nine from "./components/Tours/Nine.vue";
import Ten from "./components/Tours/Ten.vue";
import Eleven from "./components/Tours/Eleven.vue";
import Twelve from "./components/Tours/Twelve.vue";
import Thirteen from "./components/Tours/thirteen.vue";
import Fourteen from "./components/Tours/Fourteen.vue";

const router = createRouter({
    history: createWebHistory(),
    routes: [
        {path: '/', name: 'Home', component: Home},
        {path: '/About', name: 'About', component: About},

        {path: '/Tours/1', name: '1', component: One},
        {path: '/Tours/2', name: '2', component: Two},
        {path: '/Tours/3', name: '3', component: Three},
        {path: '/Tours/4', name: '4', component: Four},
        {path: '/Tours/5', name: '5', component: Five},
        {path: '/Tours/6', name: '6', component: Six},
        {path: '/Tours/7', name: '7', component: Seven},
        {path: '/Tours/8', name: '8', component: Eight},
        {path: '/Tours/9', name: '9', component: Nine},
        {path: '/Tours/10', name: '10', component: Ten},
        {path: '/Tours/11', name: '11', component: Eleven},
        {path: '/Tours/12', name: '12', component: Twelve},
        {path: '/Tours/13', name: '13', component: Thirteen},
        {path: '/Tours/14', name: '14', component: Fourteen},
    ]
})

createApp(App).use(router).mount('#app')